godo.Databases.UpdateMySQLConfig()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.Databases.UpdateMySQLConfig(ctx context.Context, databaseID string, config *godo.MySQLConfig) (*godo.Response, error)Description
UpdateMySQLConfig updates the config for a MySQL database cluster.
This method sends a PATCH request to /v2/databases/{}/config.
Parameters
databaseIDstring requiredconfig*godo.MySQLConfig required
Fields of godo.MySQLConfig
MySQLConfig holds advanced configurations for MySQL database clusters.
ConnectTimeout*intDefaultTimeZone*stringInnodbLogBufferSize*intInnodbOnlineAlterLogMaxSize*intInnodbLockWaitTimeout*intInteractiveTimeout*intMaxAllowedPacket*intNetReadTimeout*intSortBufferSize*intSQLMode*stringSQLRequirePrimaryKey*boolWaitTimeout*intNetWriteTimeout*intGroupConcatMaxLen*intInformationSchemaStatsExpiry*intInnodbFtMinTokenSize*intInnodbFtServerStopwordTable*stringInnodbPrintAllDeadlocks*boolInnodbRollbackOnTimeout*boolInternalTmpMemStorageEngine*stringMaxHeapTableSize*intTmpTableSize*intSlowQueryLog*boolLongQueryTime*float32BackupHour*intBackupMinute*intBinlogRetentionPeriod*intInnodbChangeBufferMaxSize*intInnodbFlushNeighbors*intInnodbReadIoThreads*intInnodbThreadConcurrency*intInnodbWriteIoThreads*intNetBufferLength*intLogOutput*string
Returns
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.Response
Response is a DigitalOcean response. This wraps the standard http.Response returned from DigitalOcean.
Response*http.ResponseLinks*godo.LinksLinksthat were returned with the response. These are parsed from
request body and not the header.Meta*godo.MetaMetadescribes generic information about the response.MonitorstringMonitoring URI
Rategodo.Rate
Request Sample
More Information
See PATCH /v2/databases/{}/config in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.